ChangeSet 1.1302, 2003/06/04 17:51:51-07:00, greg@kroah.com

PCI: remove usage of pci_for_each_dev() in arch/ppc64/kernel/pci.c


 arch/ppc64/kernel/pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ppc64/kernel/pci.c b/arch/ppc64/kernel/pci.c
--- a/arch/ppc64/kernel/pci.c	Wed Jun  4 18:06:21 2003
+++ b/arch/ppc64/kernel/pci.c	Wed Jun  4 18:06:21 2003
@@ -117,13 +117,13 @@
  */
 struct pci_dev *pci_find_dev_by_addr(unsigned long addr)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	int i;
 	unsigned long ioaddr;
 
 	ioaddr = (addr > isa_io_base) ? addr - isa_io_base : 0;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if ((dev->class >> 16) == PCI_BASE_CLASS_BRIDGE)
 			continue;
 		for (i = 0; i < DEVICE_COUNT_RESOURCE; i++) {
